Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Allgemein
  Wo liegt mein Fehler in der CATIA V5 R21 Makroprogrammierung?

  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Thema geschlossen  Thema geschlossen!
Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

Dieser Beitrag ist erfolgreich in das Forum CATIA V5 Programmierung verschoben worden.

nächster neuer Beitrag | nächster älterer Beitrag
  
Die Gewinne der Zukunft werden mit intelligenten, autonomen Elektrofahrzeugen eingefahren. (3DEXPERIENCE)
Autor Thema:  Wo liegt mein Fehler in der CATIA V5 R21 Makroprogrammierung? (194 mal gelesen)
Xalagy
Mitglied
Student

Sehen Sie sich das Profil von Xalagy an!   Senden Sie eine Private Message an Xalagy  Schreiben Sie einen Gästebucheintrag für Xalagy

Beiträge: 1
Registriert: 10.03.2021

CATIA V5 R21
Windows 10

erstellt am: 10. Mrz. 2021 19:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Probe.zip

 
Ich bin zurzeit an einem Prüfstand im Labor tätig, indem ich Zugproben aus Metallen und Kunststoffen mit Endlosfaserverstärkung mittels 3D Druck herstelle. Da die Fasern dementsprechend auch konstruiert werden müssen und ich nicht jede Faser als Spline konstruieren wollte habe ich mich entschlossen, ein kleines Makro zu schreiben um zukünftig auch andere, beliebige Fasermengen zu verarbeiten. Das hier beschriebene Makro wurde in catvbt geschrieben. Dabei sollen insgesamt 32 Ebenen/Kreise gezeichnet werden und mit einer Translation (Typ: Kreis, Subtyp:Mittelpunkt/Radius) versehen werden. Soweit stimmt alles mit dem Makro, aber in Zeile 490 (unten mit einer Fehlermarkierung versehen) kommt es zu einem Typenfehler "part1.CreateReferenceFromObjekt". Da ich erst als Anfänger in der Makroprogrammierung eingestiegen bin, würde ich mich deshalb um eure Expertise freuen!!!

MfG

Xalagy

Sub CATMain()
Set partDocument1 = CATIA.ActiveDocument
Set part1 = partDocument1.Part
Set hybridShapeFactory1 = part1.HybridShapeFactory
Set hybridBodies1 = part1.HybridBodies
Set hybridBody1 = hybridBodies1.Item("GeometryFromExcel")
Set hybridShapes1 = hybridBody1.HybridShapes
Set hybridShapeSpline1= hybridShapes1.Item("Spline.1")
Set reference1= part1.CreateReferenceFromObject(hybridShapeSpline1)
Set hybridShapePointCoord1 = hybridShapes1.Item("Punkt.1")
Set reference33= part1.CreateReferenceFromObject(hybridShapePointCoord1)
Set hybridShapePlaneNormal1= hybridShapeFactory1.AddNewPlaneNormal(reference1, reference33)
hybridBody1.AppendHybridShape hybridShapePlaneNormal1
part1.Update
Set hybridShapeSpline2= hybridShapes1.Item("Spline.2")
Set reference2= part1.CreateReferenceFromObject(hybridShapeSpline2)
Set hybridShapePointCoord2 = hybridShapes1.Item("Punkt.247")
Set reference34= part1.CreateReferenceFromObject(hybridShapePointCoord2)
Set hybridShapePlaneNormal2= hybridShapeFactory1.AddNewPlaneNormal(reference2, reference34)
hybridBody1.AppendHybridShape hybridShapePlaneNormal2
part1.Update
Set hybridShapeSpline3= hybridShapes1.Item("Spline.3")
Set reference3= part1.CreateReferenceFromObject(hybridShapeSpline3)
Set hybridShapePointCoord3 = hybridShapes1.Item("Punkt.495")
Set reference35= part1.CreateReferenceFromObject(hybridShapePointCoord3)
Set hybridShapePlaneNormal3= hybridShapeFactory1.AddNewPlaneNormal(reference3, reference35)
hybridBody1.AppendHybridShape hybridShapePlaneNormal3
part1.Update
Set hybridShapeSpline4= hybridShapes1.Item("Spline.4")
Set reference4= part1.CreateReferenceFromObject(hybridShapeSpline4)
Set hybridShapePointCoord4 = hybridShapes1.Item("Punkt.746")
Set reference36= part1.CreateReferenceFromObject(hybridShapePointCoord4)
Set hybridShapePlaneNormal4= hybridShapeFactory1.AddNewPlaneNormal(reference4, reference36)
hybridBody1.AppendHybridShape hybridShapePlaneNormal4
part1.Update
Set hybridShapeSpline5= hybridShapes1.Item("Spline.5")
Set reference5= part1.CreateReferenceFromObject(hybridShapeSpline5)
Set hybridShapePointCoord5 = hybridShapes1.Item("Punkt.999")
Set reference37= part1.CreateReferenceFromObject(hybridShapePointCoord5)
Set hybridShapePlaneNormal5= hybridShapeFactory1.AddNewPlaneNormal(reference5, reference37)
hybridBody1.AppendHybridShape hybridShapePlaneNormal5
part1.Update
Set hybridShapeSpline6= hybridShapes1.Item("Spline.6")
Set reference6= part1.CreateReferenceFromObject(hybridShapeSpline6)
Set hybridShapePointCoord6 = hybridShapes1.Item("Punkt.1254")
Set reference38= part1.CreateReferenceFromObject(hybridShapePointCoord6)
Set hybridShapePlaneNormal6= hybridShapeFactory1.AddNewPlaneNormal(reference6, reference38)
hybridBody1.AppendHybridShape hybridShapePlaneNormal6
part1.Update
Set hybridShapeSpline7= hybridShapes1.Item("Spline.7")
Set reference7= part1.CreateReferenceFromObject(hybridShapeSpline7)
Set hybridShapePointCoord7 = hybridShapes1.Item("Punkt.1511")
Set reference39= part1.CreateReferenceFromObject(hybridShapePointCoord7)
Set hybridShapePlaneNormal7= hybridShapeFactory1.AddNewPlaneNormal(reference7, reference39)
hybridBody1.AppendHybridShape hybridShapePlaneNormal7
part1.Update
Set hybridShapeSpline8= hybridShapes1.Item("Spline.8")
Set reference8= part1.CreateReferenceFromObject(hybridShapeSpline8)
Set hybridShapePointCoord8 = hybridShapes1.Item("Punkt.1772")
Set reference40= part1.CreateReferenceFromObject(hybridShapePointCoord8)
Set hybridShapePlaneNormal8= hybridShapeFactory1.AddNewPlaneNormal(reference8, reference40)
hybridBody1.AppendHybridShape hybridShapePlaneNormal8
part1.Update
Set hybridShapeSpline9= hybridShapes1.Item("Spline.9")
Set reference9= part1.CreateReferenceFromObject(hybridShapeSpline9)
Set hybridShapePointCoord9 = hybridShapes1.Item("Punkt.2036")
Set reference41= part1.CreateReferenceFromObject(hybridShapePointCoord9)
Set hybridShapePlaneNormal9= hybridShapeFactory1.AddNewPlaneNormal(reference9, reference41)
hybridBody1.AppendHybridShape hybridShapePlaneNormal9
part1.Update
Set hybridShapeSpline10= hybridShapes1.Item("Spline.10")
Set reference10= part1.CreateReferenceFromObject(hybridShapeSpline10)
Set hybridShapePointCoord10 = hybridShapes1.Item("Punkt.2300")
Set reference42= part1.CreateReferenceFromObject(hybridShapePointCoord10)
Set hybridShapePlaneNormal10= hybridShapeFactory1.AddNewPlaneNormal(reference10, reference42)
hybridBody1.AppendHybridShape hybridShapePlaneNormal10
part1.Update
Set hybridShapeSpline11= hybridShapes1.Item("Spline.11")
Set reference11= part1.CreateReferenceFromObject(hybridShapeSpline11)
Set hybridShapePointCoord11 = hybridShapes1.Item("Punkt.2561")
Set reference43= part1.CreateReferenceFromObject(hybridShapePointCoord11)
Set hybridShapePlaneNormal11= hybridShapeFactory1.AddNewPlaneNormal(reference11, reference43)
hybridBody1.AppendHybridShape hybridShapePlaneNormal11
part1.Update
Set hybridShapeSpline12= hybridShapes1.Item("Spline.12")
Set reference12= part1.CreateReferenceFromObject(hybridShapeSpline12)
Set hybridShapePointCoord12 = hybridShapes1.Item("Punkt.2818")
Set reference44= part1.CreateReferenceFromObject(hybridShapePointCoord12)
Set hybridShapePlaneNormal12= hybridShapeFactory1.AddNewPlaneNormal(reference12, reference44)
hybridBody1.AppendHybridShape hybridShapePlaneNormal12
part1.Update
Set hybridShapeSpline13= hybridShapes1.Item("Spline.13")
Set reference13= part1.CreateReferenceFromObject(hybridShapeSpline13)
Set hybridShapePointCoord13 = hybridShapes1.Item("Punkt.3073")
Set reference45= part1.CreateReferenceFromObject(hybridShapePointCoord13)
Set hybridShapePlaneNormal13= hybridShapeFactory1.AddNewPlaneNormal(reference13, reference45)
hybridBody1.AppendHybridShape hybridShapePlaneNormal13
part1.Update
Set hybridShapeSpline14= hybridShapes1.Item("Spline.14")
Set reference14= part1.CreateReferenceFromObject(hybridShapeSpline14)
Set hybridShapePointCoord14 = hybridShapes1.Item("Punkt.3326")
Set reference46= part1.CreateReferenceFromObject(hybridShapePointCoord14)
Set hybridShapePlaneNormal14= hybridShapeFactory1.AddNewPlaneNormal(reference14, reference46)
hybridBody1.AppendHybridShape hybridShapePlaneNormal14
part1.Update
Set hybridShapeSpline15= hybridShapes1.Item("Spline.15")
Set reference15= part1.CreateReferenceFromObject(hybridShapeSpline15)
Set hybridShapePointCoord15 = hybridShapes1.Item("Punkt.3577")
Set reference47= part1.CreateReferenceFromObject(hybridShapePointCoord15)
Set hybridShapePlaneNormal15= hybridShapeFactory1.AddNewPlaneNormal(reference15, reference47)
hybridBody1.AppendHybridShape hybridShapePlaneNormal15
part1.Update
Set hybridShapeSpline16= hybridShapes1.Item("Spline.16")
Set reference16= part1.CreateReferenceFromObject(hybridShapeSpline16)
Set hybridShapePointCoord16 = hybridShapes1.Item("Punkt.3825")
Set reference48= part1.CreateReferenceFromObject(hybridShapePointCoord16)
Set hybridShapePlaneNormal16= hybridShapeFactory1.AddNewPlaneNormal(reference16, reference48)
hybridBody1.AppendHybridShape hybridShapePlaneNormal16
part1.Update
Set hybridShapeSpline17= hybridShapes1.Item("Spline.1")
Set reference17= part1.CreateReferenceFromObject(hybridShapeSpline17)
Set hybridShapePointCoord17 = hybridShapes1.Item("Punkt.246")
Set reference49= part1.CreateReferenceFromObject(hybridShapePointCoord17)
Set hybridShapePlaneNormal17= hybridShapeFactory1.AddNewPlaneNormal(reference17, reference49)
hybridBody1.AppendHybridShape hybridShapePlaneNormal17
part1.Update
Set hybridShapeSpline18= hybridShapes1.Item("Spline.2")
Set reference18= part1.CreateReferenceFromObject(hybridShapeSpline18)
Set hybridShapePointCoord18 = hybridShapes1.Item("Punkt.494")
Set reference50= part1.CreateReferenceFromObject(hybridShapePointCoord18)
Set hybridShapePlaneNormal18= hybridShapeFactory1.AddNewPlaneNormal(reference18, reference50)
hybridBody1.AppendHybridShape hybridShapePlaneNormal18
part1.Update
Set hybridShapeSpline19= hybridShapes1.Item("Spline.3")
Set reference19= part1.CreateReferenceFromObject(hybridShapeSpline19)
Set hybridShapePointCoord19 = hybridShapes1.Item("Punkt.745")
Set reference51= part1.CreateReferenceFromObject(hybridShapePointCoord19)
Set hybridShapePlaneNormal19= hybridShapeFactory1.AddNewPlaneNormal(reference19, reference51)
hybridBody1.AppendHybridShape hybridShapePlaneNormal19
part1.Update
Set hybridShapeSpline20= hybridShapes1.Item("Spline.4")
Set reference20= part1.CreateReferenceFromObject(hybridShapeSpline20)
Set hybridShapePointCoord20 = hybridShapes1.Item("Punkt.998")
Set reference52= part1.CreateReferenceFromObject(hybridShapePointCoord20)
Set hybridShapePlaneNormal20= hybridShapeFactory1.AddNewPlaneNormal(reference20, reference52)
hybridBody1.AppendHybridShape hybridShapePlaneNormal20
part1.Update
Set hybridShapeSpline21= hybridShapes1.Item("Spline.5")
Set reference21= part1.CreateReferenceFromObject(hybridShapeSpline21)
Set hybridShapePointCoord21 = hybridShapes1.Item("Punkt.1253")
Set reference53= part1.CreateReferenceFromObject(hybridShapePointCoord21)
Set hybridShapePlaneNormal21= hybridShapeFactory1.AddNewPlaneNormal(reference21, reference53)
hybridBody1.AppendHybridShape hybridShapePlaneNormal21
part1.Update
Set hybridShapeSpline22= hybridShapes1.Item("Spline.6")
Set reference22= part1.CreateReferenceFromObject(hybridShapeSpline22)
Set hybridShapePointCoord22 = hybridShapes1.Item("Punkt.1510")
Set reference54= part1.CreateReferenceFromObject(hybridShapePointCoord22)
Set hybridShapePlaneNormal22= hybridShapeFactory1.AddNewPlaneNormal(reference22, reference54)
hybridBody1.AppendHybridShape hybridShapePlaneNormal22
part1.Update
Set hybridShapeSpline23= hybridShapes1.Item("Spline.7")
Set reference23= part1.CreateReferenceFromObject(hybridShapeSpline23)
Set hybridShapePointCoord23 = hybridShapes1.Item("Punkt.1771")
Set reference55= part1.CreateReferenceFromObject(hybridShapePointCoord23)
Set hybridShapePlaneNormal23= hybridShapeFactory1.AddNewPlaneNormal(reference23, reference55)
hybridBody1.AppendHybridShape hybridShapePlaneNormal23
part1.Update
Set hybridShapeSpline24= hybridShapes1.Item("Spline.8")
Set reference24= part1.CreateReferenceFromObject(hybridShapeSpline24)
Set hybridShapePointCoord24 = hybridShapes1.Item("Punkt.2035")
Set reference56= part1.CreateReferenceFromObject(hybridShapePointCoord24)
Set hybridShapePlaneNormal24= hybridShapeFactory1.AddNewPlaneNormal(reference24, reference56)
hybridBody1.AppendHybridShape hybridShapePlaneNormal24
part1.Update
Set hybridShapeSpline25= hybridShapes1.Item("Spline.9")
Set reference25= part1.CreateReferenceFromObject(hybridShapeSpline25)
Set hybridShapePointCoord25 = hybridShapes1.Item("Punkt.2299")
Set reference57= part1.CreateReferenceFromObject(hybridShapePointCoord25)
Set hybridShapePlaneNormal25= hybridShapeFactory1.AddNewPlaneNormal(reference25, reference57)
hybridBody1.AppendHybridShape hybridShapePlaneNormal25
part1.Update
Set hybridShapeSpline26= hybridShapes1.Item("Spline.10")
Set reference26= part1.CreateReferenceFromObject(hybridShapeSpline26)
Set hybridShapePointCoord26 = hybridShapes1.Item("Punkt.2560")
Set reference58= part1.CreateReferenceFromObject(hybridShapePointCoord26)
Set hybridShapePlaneNormal26= hybridShapeFactory1.AddNewPlaneNormal(reference26, reference58)
hybridBody1.AppendHybridShape hybridShapePlaneNormal26
part1.Update
Set hybridShapeSpline27= hybridShapes1.Item("Spline.11")
Set reference27= part1.CreateReferenceFromObject(hybridShapeSpline27)
Set hybridShapePointCoord27 = hybridShapes1.Item("Punkt.2817")
Set reference59= part1.CreateReferenceFromObject(hybridShapePointCoord27)
Set hybridShapePlaneNormal27= hybridShapeFactory1.AddNewPlaneNormal(reference27, reference59)
hybridBody1.AppendHybridShape hybridShapePlaneNormal27
part1.Update
Set hybridShapeSpline28= hybridShapes1.Item("Spline.12")
Set reference28= part1.CreateReferenceFromObject(hybridShapeSpline28)
Set hybridShapePointCoord28 = hybridShapes1.Item("Punkt.3072")
Set reference60= part1.CreateReferenceFromObject(hybridShapePointCoord28)
Set hybridShapePlaneNormal28= hybridShapeFactory1.AddNewPlaneNormal(reference28, reference60)
hybridBody1.AppendHybridShape hybridShapePlaneNormal28
part1.Update
Set hybridShapeSpline29= hybridShapes1.Item("Spline.13")
Set reference29= part1.CreateReferenceFromObject(hybridShapeSpline29)
Set hybridShapePointCoord29 = hybridShapes1.Item("Punkt.3325")
Set reference61= part1.CreateReferenceFromObject(hybridShapePointCoord29)
Set hybridShapePlaneNormal29= hybridShapeFactory1.AddNewPlaneNormal(reference29, reference61)
hybridBody1.AppendHybridShape hybridShapePlaneNormal29
part1.Update
Set hybridShapeSpline30= hybridShapes1.Item("Spline.14")
Set reference30= part1.CreateReferenceFromObject(hybridShapeSpline30)
Set hybridShapePointCoord30 = hybridShapes1.Item("Punkt.3576")
Set reference62= part1.CreateReferenceFromObject(hybridShapePointCoord30)
Set hybridShapePlaneNormal30= hybridShapeFactory1.AddNewPlaneNormal(reference30, reference62)
hybridBody1.AppendHybridShape hybridShapePlaneNormal30
part1.Update
Set hybridShapeSpline31= hybridShapes1.Item("Spline.15")
Set reference31= part1.CreateReferenceFromObject(hybridShapeSpline31)
Set hybridShapePointCoord31 = hybridShapes1.Item("Punkt.3824")
Set reference63= part1.CreateReferenceFromObject(hybridShapePointCoord31)
Set hybridShapePlaneNormal31= hybridShapeFactory1.AddNewPlaneNormal(reference31, reference63)
hybridBody1.AppendHybridShape hybridShapePlaneNormal31
part1.Update
Set hybridShapeSpline32= hybridShapes1.Item("Spline.16")
Set reference32= part1.CreateReferenceFromObject(hybridShapeSpline32)
Set hybridShapePointCoord32 = hybridShapes1.Item("Punkt.4070")
Set reference64= part1.CreateReferenceFromObject(hybridShapePointCoord32)
Set hybridShapePlaneNormal32= hybridShapeFactory1.AddNewPlaneNormal(reference32, reference64)
hybridBody1.AppendHybridShape hybridShapePlaneNormal32
part1.Update
Set hybridShapePointCoord33 = hybridShapes1.Item("Punkt.1")
Set reference65= part1.CreateReferenceFromObject(hybridShapePointCoord33)
Set hybridShapePlaneNormal33= hybridShapes1.Item("Ebene.1")
Set reference81= part1.CreateReferenceFromObject(hybridShapePlaneNormal33)
Set hybridShapeCircleCtrRad1= hybridShapeFactory1.AddNewCircleCtrRad(reference65,reference81, False, 0.050000)
hybridShapeCircleCtrRad1.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad1
part1.Update
Set hybridShapePointCoord34 = hybridShapes1.Item("Punkt.247")
Set reference66= part1.CreateReferenceFromObject(hybridShapePointCoord34)
Set hybridShapePlaneNormal34= hybridShapes1.Item("Ebene.2")
Set reference82= part1.CreateReferenceFromObject(hybridShapePlaneNormal34)
Set hybridShapeCircleCtrRad2= hybridShapeFactory1.AddNewCircleCtrRad(reference66,reference82, False, 0.050000)
hybridShapeCircleCtrRad2.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad2
part1.Update
Set hybridShapePointCoord35 = hybridShapes1.Item("Punkt.495")
Set reference67= part1.CreateReferenceFromObject(hybridShapePointCoord35)
Set hybridShapePlaneNormal35= hybridShapes1.Item("Ebene.3")
Set reference83= part1.CreateReferenceFromObject(hybridShapePlaneNormal35)
Set hybridShapeCircleCtrRad3= hybridShapeFactory1.AddNewCircleCtrRad(reference67,reference83, False, 0.050000)
hybridShapeCircleCtrRad3.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad3
part1.Update
Set hybridShapePointCoord36 = hybridShapes1.Item("Punkt.746")
Set reference68= part1.CreateReferenceFromObject(hybridShapePointCoord36)
Set hybridShapePlaneNormal36= hybridShapes1.Item("Ebene.4")
Set reference84= part1.CreateReferenceFromObject(hybridShapePlaneNormal36)
Set hybridShapeCircleCtrRad4= hybridShapeFactory1.AddNewCircleCtrRad(reference68,reference84, False, 0.050000)
hybridShapeCircleCtrRad4.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad4
part1.Update
Set hybridShapePointCoord37 = hybridShapes1.Item("Punkt.999")
Set reference69= part1.CreateReferenceFromObject(hybridShapePointCoord37)
Set hybridShapePlaneNormal37= hybridShapes1.Item("Ebene.5")
Set reference85= part1.CreateReferenceFromObject(hybridShapePlaneNormal37)
Set hybridShapeCircleCtrRad5= hybridShapeFactory1.AddNewCircleCtrRad(reference69,reference85, False, 0.050000)
hybridShapeCircleCtrRad5.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad5
part1.Update
Set hybridShapePointCoord38 = hybridShapes1.Item("Punkt.1254")
Set reference70= part1.CreateReferenceFromObject(hybridShapePointCoord38)
Set hybridShapePlaneNormal38= hybridShapes1.Item("Ebene.6")
Set reference86= part1.CreateReferenceFromObject(hybridShapePlaneNormal38)
Set hybridShapeCircleCtrRad6= hybridShapeFactory1.AddNewCircleCtrRad(reference70,reference86, False, 0.050000)
hybridShapeCircleCtrRad6.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad6
part1.Update
Set hybridShapePointCoord39 = hybridShapes1.Item("Punkt.1511")
Set reference71= part1.CreateReferenceFromObject(hybridShapePointCoord39)
Set hybridShapePlaneNormal39= hybridShapes1.Item("Ebene.7")
Set reference87= part1.CreateReferenceFromObject(hybridShapePlaneNormal39)
Set hybridShapeCircleCtrRad7= hybridShapeFactory1.AddNewCircleCtrRad(reference71,reference87, False, 0.050000)
hybridShapeCircleCtrRad7.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad7
part1.Update
Set hybridShapePointCoord40 = hybridShapes1.Item("Punkt.1772")
Set reference72= part1.CreateReferenceFromObject(hybridShapePointCoord40)
Set hybridShapePlaneNormal40= hybridShapes1.Item("Ebene.8")
Set reference88= part1.CreateReferenceFromObject(hybridShapePlaneNormal40)
Set hybridShapeCircleCtrRad8= hybridShapeFactory1.AddNewCircleCtrRad(reference72,reference88, False, 0.050000)
hybridShapeCircleCtrRad8.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad8
part1.Update
Set hybridShapePointCoord41 = hybridShapes1.Item("Punkt.2036")
Set reference73= part1.CreateReferenceFromObject(hybridShapePointCoord41)
Set hybridShapePlaneNormal41= hybridShapes1.Item("Ebene.9")
Set reference89= part1.CreateReferenceFromObject(hybridShapePlaneNormal41)
Set hybridShapeCircleCtrRad9= hybridShapeFactory1.AddNewCircleCtrRad(reference73,reference89, False, 0.050000)
hybridShapeCircleCtrRad9.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad9
part1.Update
Set hybridShapePointCoord42 = hybridShapes1.Item("Punkt.2300")
Set reference74= part1.CreateReferenceFromObject(hybridShapePointCoord42)
Set hybridShapePlaneNormal42= hybridShapes1.Item("Ebene.10")
Set reference90= part1.CreateReferenceFromObject(hybridShapePlaneNormal42)
Set hybridShapeCircleCtrRad10= hybridShapeFactory1.AddNewCircleCtrRad(reference74,reference90, False, 0.050000)
hybridShapeCircleCtrRad10.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad10
part1.Update
Set hybridShapePointCoord43 = hybridShapes1.Item("Punkt.2561")
Set reference75= part1.CreateReferenceFromObject(hybridShapePointCoord43)
Set hybridShapePlaneNormal43= hybridShapes1.Item("Ebene.11")
Set reference91= part1.CreateReferenceFromObject(hybridShapePlaneNormal43)
Set hybridShapeCircleCtrRad11= hybridShapeFactory1.AddNewCircleCtrRad(reference75,reference91, False, 0.050000)
hybridShapeCircleCtrRad11.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad11
part1.Update
Set hybridShapePointCoord44 = hybridShapes1.Item("Punkt.2818")
Set reference76= part1.CreateReferenceFromObject(hybridShapePointCoord44)
Set hybridShapePlaneNormal44= hybridShapes1.Item("Ebene.12")
Set reference92= part1.CreateReferenceFromObject(hybridShapePlaneNormal44)
Set hybridShapeCircleCtrRad12= hybridShapeFactory1.AddNewCircleCtrRad(reference76,reference92, False, 0.050000)
hybridShapeCircleCtrRad12.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad12
part1.Update
Set hybridShapePointCoord45 = hybridShapes1.Item("Punkt.3073")
Set reference77= part1.CreateReferenceFromObject(hybridShapePointCoord45)
Set hybridShapePlaneNormal45= hybridShapes1.Item("Ebene.13")
Set reference93= part1.CreateReferenceFromObject(hybridShapePlaneNormal45)
Set hybridShapeCircleCtrRad13= hybridShapeFactory1.AddNewCircleCtrRad(reference77,reference93, False, 0.050000)
hybridShapeCircleCtrRad13.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad13
part1.Update
Set hybridShapePointCoord46 = hybridShapes1.Item("Punkt.3326")
Set reference78= part1.CreateReferenceFromObject(hybridShapePointCoord46)
Set hybridShapePlaneNormal46= hybridShapes1.Item("Ebene.14")
Set reference94= part1.CreateReferenceFromObject(hybridShapePlaneNormal46)
Set hybridShapeCircleCtrRad14= hybridShapeFactory1.AddNewCircleCtrRad(reference78,reference94, False, 0.050000)
hybridShapeCircleCtrRad14.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad14
part1.Update
Set hybridShapePointCoord47 = hybridShapes1.Item("Punkt.3577")
Set reference79= part1.CreateReferenceFromObject(hybridShapePointCoord47)
Set hybridShapePlaneNormal47= hybridShapes1.Item("Ebene.15")
Set reference95= part1.CreateReferenceFromObject(hybridShapePlaneNormal47)
Set hybridShapeCircleCtrRad15= hybridShapeFactory1.AddNewCircleCtrRad(reference79,reference95, False, 0.050000)
hybridShapeCircleCtrRad15.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad15
part1.Update
Set hybridShapePointCoord48 = hybridShapes1.Item("Punkt.3825")
Set reference80= part1.CreateReferenceFromObject(hybridShapePointCoord48)
Set hybridShapePlaneNormal48= hybridShapes1.Item("Ebene.16")
Set reference96= part1.CreateReferenceFromObject(hybridShapePlaneNormal48)
Set hybridShapeCircleCtrRad16= hybridShapeFactory1.AddNewCircleCtrRad(reference80,reference96, False, 0.050000)
hybridShapeCircleCtrRad16.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad16
part1.Update
Set hybridShapePointCoord49 = hybridShapes1.Item("Punkt.246")
Set reference97= part1.CreateReferenceFromObject(hybridShapePointCoord49)
Set hybridShapePlaneNormal49= hybridShapes1.Item("Ebene.17")
Set reference113= part1.CreateReferenceFromObject(hybridShapePlaneNormal49)
Set hybridShapeCircleCtrRad17= hybridShapeFactory1.AddNewCircleCtrRad(reference97,reference113, False, 0.050000)
hybridShapeCircleCtrRad17.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad17
part1.Update
Set hybridShapePointCoord50 = hybridShapes1.Item("Punkt.494")
Set reference98= part1.CreateReferenceFromObject(hybridShapePointCoord50)
Set hybridShapePlaneNormal50= hybridShapes1.Item("Ebene.18")
Set reference114= part1.CreateReferenceFromObject(hybridShapePlaneNormal50)
Set hybridShapeCircleCtrRad18= hybridShapeFactory1.AddNewCircleCtrRad(reference98,reference114, False, 0.050000)
hybridShapeCircleCtrRad18.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad18
part1.Update
Set hybridShapePointCoord51 = hybridShapes1.Item("Punkt.745")
Set reference99= part1.CreateReferenceFromObject(hybridShapePointCoord51)
Set hybridShapePlaneNormal51= hybridShapes1.Item("Ebene.19")
Set reference115= part1.CreateReferenceFromObject(hybridShapePlaneNormal51)
Set hybridShapeCircleCtrRad19= hybridShapeFactory1.AddNewCircleCtrRad(reference99,reference115, False, 0.050000)
hybridShapeCircleCtrRad19.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad19
part1.Update
Set hybridShapePointCoord52 = hybridShapes1.Item("Punkt.998")
Set reference100= part1.CreateReferenceFromObject(hybridShapePointCoord52)
Set hybridShapePlaneNormal52= hybridShapes1.Item("Ebene.20")
Set reference116= part1.CreateReferenceFromObject(hybridShapePlaneNormal52)
Set hybridShapeCircleCtrRad20= hybridShapeFactory1.AddNewCircleCtrRad(reference100,reference116, False, 0.050000)
hybridShapeCircleCtrRad20.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad20
part1.Update
Set hybridShapePointCoord53 = hybridShapes1.Item("Punkt.1253")
Set reference101= part1.CreateReferenceFromObject(hybridShapePointCoord53)
Set hybridShapePlaneNormal53= hybridShapes1.Item("Ebene.21")
Set reference117= part1.CreateReferenceFromObject(hybridShapePlaneNormal53)
Set hybridShapeCircleCtrRad21= hybridShapeFactory1.AddNewCircleCtrRad(reference101,reference117, False, 0.050000)
hybridShapeCircleCtrRad21.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad21
part1.Update
Set hybridShapePointCoord54 = hybridShapes1.Item("Punkt.1510")
Set reference102= part1.CreateReferenceFromObject(hybridShapePointCoord54)
Set hybridShapePlaneNormal54= hybridShapes1.Item("Ebene.22")
Set reference118= part1.CreateReferenceFromObject(hybridShapePlaneNormal54)
Set hybridShapeCircleCtrRad22= hybridShapeFactory1.AddNewCircleCtrRad(reference102,reference118, False, 0.050000)
hybridShapeCircleCtrRad22.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad22
part1.Update
Set hybridShapePointCoord55 = hybridShapes1.Item("Punkt.1771")
Set reference103= part1.CreateReferenceFromObject(hybridShapePointCoord55)
Set hybridShapePlaneNormal55= hybridShapes1.Item("Ebene.23")
Set reference119= part1.CreateReferenceFromObject(hybridShapePlaneNormal55)
Set hybridShapeCircleCtrRad23= hybridShapeFactory1.AddNewCircleCtrRad(reference103,reference119, False, 0.050000)
hybridShapeCircleCtrRad23.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad23
part1.Update
Set hybridShapePointCoord56 = hybridShapes1.Item("Punkt.2035")
Set reference104= part1.CreateReferenceFromObject(hybridShapePointCoord56)
Set hybridShapePlaneNormal56= hybridShapes1.Item("Ebene.24")
Set reference120= part1.CreateReferenceFromObject(hybridShapePlaneNormal56)
Set hybridShapeCircleCtrRad24= hybridShapeFactory1.AddNewCircleCtrRad(reference104,reference120, False, 0.050000)
hybridShapeCircleCtrRad24.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad24
part1.Update
Set hybridShapePointCoord57 = hybridShapes1.Item("Punkt.2299")
Set reference105= part1.CreateReferenceFromObject(hybridShapePointCoord57)
Set hybridShapePlaneNormal57= hybridShapes1.Item("Ebene.25")
Set reference121= part1.CreateReferenceFromObject(hybridShapePlaneNormal57)
Set hybridShapeCircleCtrRad25= hybridShapeFactory1.AddNewCircleCtrRad(reference105,reference121, False, 0.050000)
hybridShapeCircleCtrRad25.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad25
part1.Update
Set hybridShapePointCoord58 = hybridShapes1.Item("Punkt.2560")
Set reference106= part1.CreateReferenceFromObject(hybridShapePointCoord58)
Set hybridShapePlaneNormal58= hybridShapes1.Item("Ebene.26")
Set reference122= part1.CreateReferenceFromObject(hybridShapePlaneNormal58)
Set hybridShapeCircleCtrRad26= hybridShapeFactory1.AddNewCircleCtrRad(reference106,reference122, False, 0.050000)
hybridShapeCircleCtrRad26.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad26
part1.Update
Set hybridShapePointCoord59 = hybridShapes1.Item("Punkt.2817")
Set reference107= part1.CreateReferenceFromObject(hybridShapePointCoord59)
Set hybridShapePlaneNormal59= hybridShapes1.Item("Ebene.27")
Set reference123= part1.CreateReferenceFromObject(hybridShapePlaneNormal59)
Set hybridShapeCircleCtrRad27= hybridShapeFactory1.AddNewCircleCtrRad(reference107,reference123, False, 0.050000)
hybridShapeCircleCtrRad27.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad27
part1.Update
Set hybridShapePointCoord60 = hybridShapes1.Item("Punkt.3072")
Set reference108= part1.CreateReferenceFromObject(hybridShapePointCoord60)
Set hybridShapePlaneNormal60= hybridShapes1.Item("Ebene.28")
Set reference124= part1.CreateReferenceFromObject(hybridShapePlaneNormal60)
Set hybridShapeCircleCtrRad28= hybridShapeFactory1.AddNewCircleCtrRad(reference108,reference124, False, 0.050000)
hybridShapeCircleCtrRad28.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad28
part1.Update
Set hybridShapePointCoord61 = hybridShapes1.Item("Punkt.3325")
Set reference109= part1.CreateReferenceFromObject(hybridShapePointCoord61)
Set hybridShapePlaneNormal61= hybridShapes1.Item("Ebene.29")
Set reference125= part1.CreateReferenceFromObject(hybridShapePlaneNormal61)
Set hybridShapeCircleCtrRad29= hybridShapeFactory1.AddNewCircleCtrRad(reference109,reference125, False, 0.050000)
hybridShapeCircleCtrRad29.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad29
part1.Update
Set hybridShapePointCoord62 = hybridShapes1.Item("Punkt.3576")
Set reference110= part1.CreateReferenceFromObject(hybridShapePointCoord62)
Set hybridShapePlaneNormal62= hybridShapes1.Item("Ebene.30")
Set reference126= part1.CreateReferenceFromObject(hybridShapePlaneNormal62)
Set hybridShapeCircleCtrRad30= hybridShapeFactory1.AddNewCircleCtrRad(reference110,reference126, False, 0.050000)
hybridShapeCircleCtrRad30.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad30
part1.Update
Set hybridShapePointCoord63 = hybridShapes1.Item("Punkt.3824")
Set reference111= part1.CreateReferenceFromObject(hybridShapePointCoord63)
Set hybridShapePlaneNormal63= hybridShapes1.Item("Ebene.31")
Set reference127= part1.CreateReferenceFromObject(hybridShapePlaneNormal63)
Set hybridShapeCircleCtrRad31= hybridShapeFactory1.AddNewCircleCtrRad(reference111,reference127, False, 0.050000)
hybridShapeCircleCtrRad31.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad31
part1.Update
Set hybridShapePointCoord64 = hybridShapes1.Item("Punkt.4070")
Set reference112= part1.CreateReferenceFromObject(hybridShapePointCoord64)
Set hybridShapePlaneNormal64= hybridShapes1.Item("Ebene.32")
Set reference128= part1.CreateReferenceFromObject(hybridShapePlaneNormal64)
Set hybridShapeCircleCtrRad32= hybridShapeFactory1.AddNewCircleCtrRad(reference112,reference128, False, 0.050000)
hybridShapeCircleCtrRad32.SetLimitation 1
hybridBody1.AppendHybridShape hybridShapeCircleCtrRad32
part1.Update
part1.Update
Set hybridShapeSpline41= hybridShapes1.Item("Spline.1")

Set reference129= part1.CreateReferenceFromObject(hybridShapeSpline33) >>>>>>>>>Fehler!!!


Set hybridShapeSweepCircle1= hybridShapeFactory1.AddNewSweepCircle(reference129)
hybridShapeSweepCircle1.Mode = 6
Set hybridShapePlaneNormal1= hybridShapes1.Item("Ebene.17")
Set reference145= part1.CreateReferenceFromObject(hybridShapePlaneNormal65)
Set hybridShapePlaneNormal89= hybridShapes1.Item("Ebene.17")
Set reference161= part1.CreateReferenceFromObject(hybridShapePlaneNormal81)
hybridShapeSweepCircle1.SetRelimiters reference145, 0,reference161, 1
hybridShapeSweepCircle1.SmoothActivity = False
hybridShapeSweepCircle1.GuideDeviationActivity = False
hybridShapeSweepCircle1.SetRadius 1, 0.050000
hybridShapeSweepCircle1.SetbackValue = 0.020000
hybridShapeSweepCircle1.FillTwistedAreas = 1
hybridShapeSweepCircle1.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle1
part1.Update
Set hybridShapeSpline42= hybridShapes1.Item("Spline.2")
Set reference130= part1.CreateReferenceFromObject(hybridShapeSpline34)
Set hybridShapeSweepCircle2= hybridShapeFactory1.AddNewSweepCircle(reference130)
hybridShapeSweepCircle2.Mode = 6
Set hybridShapePlaneNormal2= hybridShapes1.Item("Ebene.18")
Set reference146= part1.CreateReferenceFromObject(hybridShapePlaneNormal66)
Set hybridShapePlaneNormal90= hybridShapes1.Item("Ebene.18")
Set reference162= part1.CreateReferenceFromObject(hybridShapePlaneNormal82)
hybridShapeSweepCircle2.SetRelimiters reference146, 0,reference162, 1
hybridShapeSweepCircle2.SmoothActivity = False
hybridShapeSweepCircle2.GuideDeviationActivity = False
hybridShapeSweepCircle2.SetRadius 1, 0.050000
hybridShapeSweepCircle2.SetbackValue = 0.020000
hybridShapeSweepCircle2.FillTwistedAreas = 1
hybridShapeSweepCircle2.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle2
part1.Update
Set hybridShapeSpline43= hybridShapes1.Item("Spline.3")
Set reference131= part1.CreateReferenceFromObject(hybridShapeSpline35)
Set hybridShapeSweepCircle3= hybridShapeFactory1.AddNewSweepCircle(reference131)
hybridShapeSweepCircle3.Mode = 6
Set hybridShapePlaneNormal3= hybridShapes1.Item("Ebene.19")
Set reference147= part1.CreateReferenceFromObject(hybridShapePlaneNormal67)
Set hybridShapePlaneNormal91= hybridShapes1.Item("Ebene.19")
Set reference163= part1.CreateReferenceFromObject(hybridShapePlaneNormal83)
hybridShapeSweepCircle3.SetRelimiters reference147, 0,reference163, 1
hybridShapeSweepCircle3.SmoothActivity = False
hybridShapeSweepCircle3.GuideDeviationActivity = False
hybridShapeSweepCircle3.SetRadius 1, 0.050000
hybridShapeSweepCircle3.SetbackValue = 0.020000
hybridShapeSweepCircle3.FillTwistedAreas = 1
hybridShapeSweepCircle3.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle3
part1.Update
Set hybridShapeSpline44= hybridShapes1.Item("Spline.4")
Set reference132= part1.CreateReferenceFromObject(hybridShapeSpline36)
Set hybridShapeSweepCircle4= hybridShapeFactory1.AddNewSweepCircle(reference132)
hybridShapeSweepCircle4.Mode = 6
Set hybridShapePlaneNormal4= hybridShapes1.Item("Ebene.20")
Set reference148= part1.CreateReferenceFromObject(hybridShapePlaneNormal68)
Set hybridShapePlaneNormal92= hybridShapes1.Item("Ebene.20")
Set reference164= part1.CreateReferenceFromObject(hybridShapePlaneNormal84)
hybridShapeSweepCircle4.SetRelimiters reference148, 0,reference164, 1
hybridShapeSweepCircle4.SmoothActivity = False
hybridShapeSweepCircle4.GuideDeviationActivity = False
hybridShapeSweepCircle4.SetRadius 1, 0.050000
hybridShapeSweepCircle4.SetbackValue = 0.020000
hybridShapeSweepCircle4.FillTwistedAreas = 1
hybridShapeSweepCircle4.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle4
part1.Update
Set hybridShapeSpline45= hybridShapes1.Item("Spline.5")
Set reference133= part1.CreateReferenceFromObject(hybridShapeSpline37)
Set hybridShapeSweepCircle5= hybridShapeFactory1.AddNewSweepCircle(reference133)
hybridShapeSweepCircle5.Mode = 6
Set hybridShapePlaneNormal5= hybridShapes1.Item("Ebene.21")
Set reference149= part1.CreateReferenceFromObject(hybridShapePlaneNormal69)
Set hybridShapePlaneNormal93= hybridShapes1.Item("Ebene.21")
Set reference165= part1.CreateReferenceFromObject(hybridShapePlaneNormal85)
hybridShapeSweepCircle5.SetRelimiters reference149, 0,reference165, 1
hybridShapeSweepCircle5.SmoothActivity = False
hybridShapeSweepCircle5.GuideDeviationActivity = False
hybridShapeSweepCircle5.SetRadius 1, 0.050000
hybridShapeSweepCircle5.SetbackValue = 0.020000
hybridShapeSweepCircle5.FillTwistedAreas = 1
hybridShapeSweepCircle5.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle5
part1.Update
Set hybridShapeSpline46= hybridShapes1.Item("Spline.6")
Set reference134= part1.CreateReferenceFromObject(hybridShapeSpline38)
Set hybridShapeSweepCircle6= hybridShapeFactory1.AddNewSweepCircle(reference134)
hybridShapeSweepCircle6.Mode = 6
Set hybridShapePlaneNormal6= hybridShapes1.Item("Ebene.22")
Set reference150= part1.CreateReferenceFromObject(hybridShapePlaneNormal70)
Set hybridShapePlaneNormal94= hybridShapes1.Item("Ebene.22")
Set reference166= part1.CreateReferenceFromObject(hybridShapePlaneNormal86)
hybridShapeSweepCircle6.SetRelimiters reference150, 0,reference166, 1
hybridShapeSweepCircle6.SmoothActivity = False
hybridShapeSweepCircle6.GuideDeviationActivity = False
hybridShapeSweepCircle6.SetRadius 1, 0.050000
hybridShapeSweepCircle6.SetbackValue = 0.020000
hybridShapeSweepCircle6.FillTwistedAreas = 1
hybridShapeSweepCircle6.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle6
part1.Update
Set hybridShapeSpline47= hybridShapes1.Item("Spline.7")
Set reference135= part1.CreateReferenceFromObject(hybridShapeSpline39)
Set hybridShapeSweepCircle7= hybridShapeFactory1.AddNewSweepCircle(reference135)
hybridShapeSweepCircle7.Mode = 6
Set hybridShapePlaneNormal7= hybridShapes1.Item("Ebene.23")
Set reference151= part1.CreateReferenceFromObject(hybridShapePlaneNormal71)
Set hybridShapePlaneNormal95= hybridShapes1.Item("Ebene.23")
Set reference167= part1.CreateReferenceFromObject(hybridShapePlaneNormal87)
hybridShapeSweepCircle7.SetRelimiters reference151, 0,reference167, 1
hybridShapeSweepCircle7.SmoothActivity = False
hybridShapeSweepCircle7.GuideDeviationActivity = False
hybridShapeSweepCircle7.SetRadius 1, 0.050000
hybridShapeSweepCircle7.SetbackValue = 0.020000
hybridShapeSweepCircle7.FillTwistedAreas = 1
hybridShapeSweepCircle7.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle7
part1.Update
Set hybridShapeSpline48= hybridShapes1.Item("Spline.8")
Set reference136= part1.CreateReferenceFromObject(hybridShapeSpline40)
Set hybridShapeSweepCircle8= hybridShapeFactory1.AddNewSweepCircle(reference136)
hybridShapeSweepCircle8.Mode = 6
Set hybridShapePlaneNormal8= hybridShapes1.Item("Ebene.24")
Set reference152= part1.CreateReferenceFromObject(hybridShapePlaneNormal72)
Set hybridShapePlaneNormal96= hybridShapes1.Item("Ebene.24")
Set reference168= part1.CreateReferenceFromObject(hybridShapePlaneNormal88)
hybridShapeSweepCircle8.SetRelimiters reference152, 0,reference168, 1
hybridShapeSweepCircle8.SmoothActivity = False
hybridShapeSweepCircle8.GuideDeviationActivity = False
hybridShapeSweepCircle8.SetRadius 1, 0.050000
hybridShapeSweepCircle8.SetbackValue = 0.020000
hybridShapeSweepCircle8.FillTwistedAreas = 1
hybridShapeSweepCircle8.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle8
part1.Update
Set hybridShapeSpline49= hybridShapes1.Item("Spline.9")
Set reference137= part1.CreateReferenceFromObject(hybridShapeSpline41)
Set hybridShapeSweepCircle9= hybridShapeFactory1.AddNewSweepCircle(reference137)
hybridShapeSweepCircle9.Mode = 6
Set hybridShapePlaneNormal9= hybridShapes1.Item("Ebene.25")
Set reference153= part1.CreateReferenceFromObject(hybridShapePlaneNormal73)
Set hybridShapePlaneNormal97= hybridShapes1.Item("Ebene.25")
Set reference169= part1.CreateReferenceFromObject(hybridShapePlaneNormal89)
hybridShapeSweepCircle9.SetRelimiters reference153, 0,reference169, 1
hybridShapeSweepCircle9.SmoothActivity = False
hybridShapeSweepCircle9.GuideDeviationActivity = False
hybridShapeSweepCircle9.SetRadius 1, 0.050000
hybridShapeSweepCircle9.SetbackValue = 0.020000
hybridShapeSweepCircle9.FillTwistedAreas = 1
hybridShapeSweepCircle9.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle9
part1.Update
Set hybridShapeSpline50= hybridShapes1.Item("Spline.10")
Set reference138= part1.CreateReferenceFromObject(hybridShapeSpline42)
Set hybridShapeSweepCircle10= hybridShapeFactory1.AddNewSweepCircle(reference138)
hybridShapeSweepCircle10.Mode = 6
Set hybridShapePlaneNormal10= hybridShapes1.Item("Ebene.26")
Set reference154= part1.CreateReferenceFromObject(hybridShapePlaneNormal74)
Set hybridShapePlaneNormal98= hybridShapes1.Item("Ebene.26")
Set reference170= part1.CreateReferenceFromObject(hybridShapePlaneNormal90)
hybridShapeSweepCircle10.SetRelimiters reference154, 0,reference170, 1
hybridShapeSweepCircle10.SmoothActivity = False
hybridShapeSweepCircle10.GuideDeviationActivity = False
hybridShapeSweepCircle10.SetRadius 1, 0.050000
hybridShapeSweepCircle10.SetbackValue = 0.020000
hybridShapeSweepCircle10.FillTwistedAreas = 1
hybridShapeSweepCircle10.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle10
part1.Update
Set hybridShapeSpline51= hybridShapes1.Item("Spline.11")
Set reference139= part1.CreateReferenceFromObject(hybridShapeSpline43)
Set hybridShapeSweepCircle11= hybridShapeFactory1.AddNewSweepCircle(reference139)
hybridShapeSweepCircle11.Mode = 6
Set hybridShapePlaneNormal11= hybridShapes1.Item("Ebene.27")
Set reference155= part1.CreateReferenceFromObject(hybridShapePlaneNormal75)
Set hybridShapePlaneNormal99= hybridShapes1.Item("Ebene.27")
Set reference171= part1.CreateReferenceFromObject(hybridShapePlaneNormal91)
hybridShapeSweepCircle11.SetRelimiters reference155, 0,reference171, 1
hybridShapeSweepCircle11.SmoothActivity = False
hybridShapeSweepCircle11.GuideDeviationActivity = False
hybridShapeSweepCircle11.SetRadius 1, 0.050000
hybridShapeSweepCircle11.SetbackValue = 0.020000
hybridShapeSweepCircle11.FillTwistedAreas = 1
hybridShapeSweepCircle11.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle11
part1.Update
Set hybridShapeSpline52= hybridShapes1.Item("Spline.12")
Set reference140= part1.CreateReferenceFromObject(hybridShapeSpline44)
Set hybridShapeSweepCircle12= hybridShapeFactory1.AddNewSweepCircle(reference140)
hybridShapeSweepCircle12.Mode = 6
Set hybridShapePlaneNormal12= hybridShapes1.Item("Ebene.28")
Set reference156= part1.CreateReferenceFromObject(hybridShapePlaneNormal76)
Set hybridShapePlaneNormal100= hybridShapes1.Item("Ebene.28")
Set reference172= part1.CreateReferenceFromObject(hybridShapePlaneNormal92)
hybridShapeSweepCircle12.SetRelimiters reference156, 0,reference172, 1
hybridShapeSweepCircle12.SmoothActivity = False
hybridShapeSweepCircle12.GuideDeviationActivity = False
hybridShapeSweepCircle12.SetRadius 1, 0.050000
hybridShapeSweepCircle12.SetbackValue = 0.020000
hybridShapeSweepCircle12.FillTwistedAreas = 1
hybridShapeSweepCircle12.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle12
part1.Update
Set hybridShapeSpline53= hybridShapes1.Item("Spline.13")
Set reference141= part1.CreateReferenceFromObject(hybridShapeSpline45)
Set hybridShapeSweepCircle13= hybridShapeFactory1.AddNewSweepCircle(reference141)
hybridShapeSweepCircle13.Mode = 6
Set hybridShapePlaneNormal13= hybridShapes1.Item("Ebene.29")
Set reference157= part1.CreateReferenceFromObject(hybridShapePlaneNormal77)
Set hybridShapePlaneNormal101= hybridShapes1.Item("Ebene.29")
Set reference173= part1.CreateReferenceFromObject(hybridShapePlaneNormal93)
hybridShapeSweepCircle13.SetRelimiters reference157, 0,reference173, 1
hybridShapeSweepCircle13.SmoothActivity = False
hybridShapeSweepCircle13.GuideDeviationActivity = False
hybridShapeSweepCircle13.SetRadius 1, 0.050000
hybridShapeSweepCircle13.SetbackValue = 0.020000
hybridShapeSweepCircle13.FillTwistedAreas = 1
hybridShapeSweepCircle13.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle13
part1.Update
Set hybridShapeSpline54= hybridShapes1.Item("Spline.14")
Set reference142= part1.CreateReferenceFromObject(hybridShapeSpline46)
Set hybridShapeSweepCircle14= hybridShapeFactory1.AddNewSweepCircle(reference142)
hybridShapeSweepCircle14.Mode = 6
Set hybridShapePlaneNormal14= hybridShapes1.Item("Ebene.30")
Set reference158= part1.CreateReferenceFromObject(hybridShapePlaneNormal78)
Set hybridShapePlaneNormal102= hybridShapes1.Item("Ebene.30")
Set reference174= part1.CreateReferenceFromObject(hybridShapePlaneNormal94)
hybridShapeSweepCircle14.SetRelimiters reference158, 0,reference174, 1
hybridShapeSweepCircle14.SmoothActivity = False
hybridShapeSweepCircle14.GuideDeviationActivity = False
hybridShapeSweepCircle14.SetRadius 1, 0.050000
hybridShapeSweepCircle14.SetbackValue = 0.020000
hybridShapeSweepCircle14.FillTwistedAreas = 1
hybridShapeSweepCircle14.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle14
part1.Update
Set hybridShapeSpline55= hybridShapes1.Item("Spline.15")
Set reference143= part1.CreateReferenceFromObject(hybridShapeSpline47)
Set hybridShapeSweepCircle15= hybridShapeFactory1.AddNewSweepCircle(reference143)
hybridShapeSweepCircle15.Mode = 6
Set hybridShapePlaneNormal15= hybridShapes1.Item("Ebene.31")
Set reference159= part1.CreateReferenceFromObject(hybridShapePlaneNormal79)
Set hybridShapePlaneNormal103= hybridShapes1.Item("Ebene.31")
Set reference175= part1.CreateReferenceFromObject(hybridShapePlaneNormal95)
hybridShapeSweepCircle15.SetRelimiters reference159, 0,reference175, 1
hybridShapeSweepCircle15.SmoothActivity = False
hybridShapeSweepCircle15.GuideDeviationActivity = False
hybridShapeSweepCircle15.SetRadius 1, 0.050000
hybridShapeSweepCircle15.SetbackValue = 0.020000
hybridShapeSweepCircle15.FillTwistedAreas = 1
hybridShapeSweepCircle15.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle15
part1.Update
Set hybridShapeSpline56= hybridShapes1.Item("Spline.16")
Set reference144= part1.CreateReferenceFromObject(hybridShapeSpline48)
Set hybridShapeSweepCircle16= hybridShapeFactory1.AddNewSweepCircle(reference144)
hybridShapeSweepCircle16.Mode = 6
Set hybridShapePlaneNormal16= hybridShapes1.Item("Ebene.32")
Set reference160= part1.CreateReferenceFromObject(hybridShapePlaneNormal80)
Set hybridShapePlaneNormal104= hybridShapes1.Item("Ebene.32")
Set reference176= part1.CreateReferenceFromObject(hybridShapePlaneNormal96)
hybridShapeSweepCircle16.SetRelimiters reference160, 0,reference176, 1
hybridShapeSweepCircle16.SmoothActivity = False
hybridShapeSweepCircle16.GuideDeviationActivity = False
hybridShapeSweepCircle16.SetRadius 1, 0.050000
hybridShapeSweepCircle16.SetbackValue = 0.020000
hybridShapeSweepCircle16.FillTwistedAreas = 1
hybridShapeSweepCircle16.C0VerticesMode = True
hybridBody1.AppendHybridShape hybridShapeSweepCircle16
part1.Update
part1.Update
part1.Update
End Sub

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11308
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 10. Mrz. 2021 19:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Xalagy 10 Unities + Antwort hilfreich

Servus

Willkommen im Forum.
Ich schiebe die Frage mal ins richtige Unterforum: hier geht es weiter.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag öffnen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz